org.apache.jmeter.protocol.smtp.sampler.gui

## Class SmtpPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jmeter.protocol.smtp.sampler.gui.SmtpPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class SmtpPanel
      extends javax.swing.JPanel

  Class to build gui-components for SMTP-sampler. Getter-methods serve the input-data to the sampler-object, which provides them to the SendMailCommand-object.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmtpPanel()` Creates new form SmtpPanel, standard constructer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Reset all the Gui fields.
    `java.lang.String` | `getAttachments()` Returns path of file(s) to be attached in e-mail from textfield
    `java.lang.String` | `getBody()` Returns message body, i.e. main-mime-part of message (from textfield)
    `java.lang.String` | `getConnectionTimeout()` Returns connection timeout for SMTP connection from textfield
    `java.lang.String` | `getEmlMessage()` Returns path to eml message to be sent
    `CollectionProperty` | `getHeaderFields()`
    `java.lang.String` | `getMailFrom()` Returns sender-address for e-mail from textfield
    `java.lang.String` | `getMailReplyTo()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getPort()` Returns port of mail-server (standard 25 for SMTP/SMTP with StartTLS, 465 for SSL) from textfield
    `java.lang.String` | `getReceiverBCC()` Returns receiver in field "bcc" from textfield
    `java.lang.String` | `getReceiverCC()` Returns receiver in field "cc" from textfield
    `java.lang.String` | `getReceiverTo()` Returns receiver in field "to" from textfield
    `SecuritySettingsPanel` | `getSecuritySettingsPanel()`
    `java.lang.String` | `getServer()` Returns mail-server to be used to send message (from textfield)
    `java.lang.String` | `getSubject()` Returns subject of the e-mail from textfield
    `java.lang.String` | `getTimeout()` Returns timeout for SMTP connection from textfield
    `java.lang.String` | `getUsername()`
    `boolean` | `isEnableDebug()`
    `boolean` | `isIncludeTimestamp()` Returns if current timestamp is included in the subject (checkbox)
    `boolean` | `isMessageSizeStatistics()` Returns if message size statistics are processed.
    `boolean` | `isPlainBody()` Returns true if message body should be plain (i.e. not multipart/mixed)
    `boolean` | `isSuppressSubject()` Returns true if subject header should be suppressed
    `boolean` | `isUseAuth()` Returns if mail-server needs authentication (checkbox)
    `boolean` | `isUseEmlMessage()` Returns if an .eml-message is sent instead of the content of message-text area
    `void` | `setAttachments(java.lang.String attachments)` Sets path of file to be attached in e-mail in textfield
    `void` | `setBody(java.lang.String messageBodyText)` Sets message body, i.e. main-mime-part of message in textfield
    `void` | `setConnectionTimeout(java.lang.String connectionTimeout)` Sets connection timeout (ms) for SMTP connection
    `void` | `setEmlMessage(java.lang.String emlMessage)` Set path to eml message to be sent
    `void` | `setEnableDebug(boolean selected)`
    `void` | `setHeaderFields(CollectionProperty fields)`
    `void` | `setIncludeTimestamp(boolean includeTimestamp)` Set timestamp to be included in the message-subject (checkbox)
    `void` | `setMailFrom(java.lang.String mailFrom)` Sets sender-address of e-mail in textfield
    `void` | `setMailReplyTo(java.lang.String replyTo)`
    `void` | `setMessageSizeStatistic(boolean val)` Set message size to be calculated and included in sample result (checkbox)
    `void` | `setPassword(java.lang.String authPassword)`
    `void` | `setPlainBody(boolean plainBody)` Sets the property that defines if the body should be plain (i.e. not multipart/mixed)
    `void` | `setPort(java.lang.String port)` Sets port of mail-server
    `void` | `setReceiverBCC(java.lang.String mailToBCC)` Sets receiver in textfield "bcc"
    `void` | `setReceiverCC(java.lang.String mailToCC)` Sets receiver in textfield "cc"
    `void` | `setReceiverTo(java.lang.String mailTo)` Sets receiver in textfield "to"
    `void` | `setSecuritySettingsPanel(SecuritySettingsPanel securitySettingsPanel)`
    `void` | `setServer(java.lang.String server)` Sets mail-server to be used to send message in textfield
    `void` | `setSubject(java.lang.String subject)` Sets subject of the e-mail in textfield
    `void` | `setSuppressSubject(boolean emptySubject)` Sets the property that defines if the subject header should be suppressed
    `void` | `setTimeout(java.lang.String timeout)` Sets timeout (ms) for SMTP connection
    `void` | `setUseAuth(boolean selected)` Set whether mail server needs auth.
    `void` | `setUseEmlMessage(boolean useEmlMessage)` Set the use of an .eml-message instead of the content of message-text area
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmtpPanel

          public SmtpPanel()

      Creates new form SmtpPanel, standard constructer. Calls initComponents();.

  - ### Method Detail

    - #### getMailFrom

          public java.lang.String getMailFrom()

      Returns sender-address for e-mail from textfield
      Returns:
        Sender

    - #### getReceiverTo

          public java.lang.String getReceiverTo()

      Returns receiver in field "to" from textfield
      Returns:
        Receiver "to"

    - #### getReceiverCC

          public java.lang.String getReceiverCC()

      Returns receiver in field "cc" from textfield
      Returns:
        Receiver "cc"

    - #### getReceiverBCC

          public java.lang.String getReceiverBCC()

      Returns receiver in field "bcc" from textfield
      Returns:
        Receiver "bcc"

    - #### getBody

          public java.lang.String getBody()

      Returns message body, i.e. main-mime-part of message (from textfield)
      Returns:
        Message body

    - #### setBody

          public void setBody(java.lang.String messageBodyText)

      Sets message body, i.e. main-mime-part of message in textfield
      Parameters:
        `messageBodyText` - Message body

    - #### setMailFrom

          public void setMailFrom(java.lang.String mailFrom)

      Sets sender-address of e-mail in textfield
      Parameters:
        `mailFrom` - Sender

    - #### setReceiverTo

          public void setReceiverTo(java.lang.String mailTo)

      Sets receiver in textfield "to"
      Parameters:
        `mailTo` - Receiver "to"

    - #### setReceiverCC

          public void setReceiverCC(java.lang.String mailToCC)

      Sets receiver in textfield "cc"
      Parameters:
        `mailToCC` - Receiver "cc"

    - #### setReceiverBCC

          public void setReceiverBCC(java.lang.String mailToBCC)

      Sets receiver in textfield "bcc"
      Parameters:
        `mailToBCC` - Receiver "bcc"

    - #### getAttachments

          public java.lang.String getAttachments()

      Returns path of file(s) to be attached in e-mail from textfield
      Returns:
        File to attach

    - #### setAttachments

          public void setAttachments(java.lang.String attachments)

      Sets path of file to be attached in e-mail in textfield
      Parameters:
        `attachments` - File to attach

    - #### getPort

          public java.lang.String getPort()

      Returns port of mail-server (standard 25 for SMTP/SMTP with StartTLS, 465 for SSL) from textfield
      Returns:
        Mail-server port

    - #### setPort

          public void setPort(java.lang.String port)

      Sets port of mail-server
      Parameters:
        `port` - Mail-server port

    - #### getServer

          public java.lang.String getServer()

      Returns mail-server to be used to send message (from textfield)
      Returns:
        FQDN or IP of mail-server

    - #### setServer

          public void setServer(java.lang.String server)

      Sets mail-server to be used to send message in textfield
      Parameters:
        `server` - FQDN or IP of mail-server

    - #### getTimeout

          public java.lang.String getTimeout()

      Returns timeout for SMTP connection from textfield
      Returns:
        Smtp timeout

    - #### setTimeout

          public void setTimeout(java.lang.String timeout)

      Sets timeout (ms) for SMTP connection
      Parameters:
        `timeout` - SMTP Timeout (ms)

    - #### getConnectionTimeout

          public java.lang.String getConnectionTimeout()

      Returns connection timeout for SMTP connection from textfield
      Returns:
        SMTP connection timeout

    - #### setConnectionTimeout

          public void setConnectionTimeout(java.lang.String connectionTimeout)

      Sets connection timeout (ms) for SMTP connection
      Parameters:
        `connectionTimeout` - SMTP Connection Timeout (ms)

    - #### getSubject

          public java.lang.String getSubject()

      Returns subject of the e-mail from textfield
      Returns:
        Subject of e-mail

    - #### setSubject

          public void setSubject(java.lang.String subject)

      Sets subject of the e-mail in textfield
      Parameters:
        `subject` - Subject of e-mail

    - #### isSuppressSubject

          public boolean isSuppressSubject()

      Returns true if subject header should be suppressed
      Returns:
        true if subject header should be suppressed

    - #### setSuppressSubject

          public void setSuppressSubject(boolean emptySubject)

      Sets the property that defines if the subject header should be suppressed
      Parameters:
        `emptySubject` - flag whether subject header should be suppressed

    - #### isPlainBody

          public boolean isPlainBody()

      Returns true if message body should be plain (i.e. not multipart/mixed)
      Returns:
        true if using plain message body (i.e. not multipart/mixed)

    - #### setPlainBody

          public void setPlainBody(boolean plainBody)

      Sets the property that defines if the body should be plain (i.e. not multipart/mixed)
      Parameters:
        `plainBody` - whether to use a plain body (i.e. not multipart/mixed)

    - #### isUseAuth

          public boolean isUseAuth()

      Returns if mail-server needs authentication (checkbox)
      Returns:
        true if authentication is used

    - #### setUseAuth

          public void setUseAuth(boolean selected)

      Set whether mail server needs auth.
      Parameters:
        `selected` - flag whether mail server needs auth

    - #### isEnableDebug

          public boolean isEnableDebug()

    - #### setEnableDebug

          public void setEnableDebug(boolean selected)

    - #### isUseEmlMessage

          public boolean isUseEmlMessage()

      Returns if an .eml-message is sent instead of the content of message-text area
      Returns:
        true if .eml is sent, false if text area content is sent in e-mail

    - #### setUseEmlMessage

          public void setUseEmlMessage(boolean useEmlMessage)

      Set the use of an .eml-message instead of the content of message-text area
      Parameters:
        `useEmlMessage` - Use eml message

    - #### getEmlMessage

          public java.lang.String getEmlMessage()

      Returns path to eml message to be sent
      Returns:
        path to eml message to be sent

    - #### setEmlMessage

          public void setEmlMessage(java.lang.String emlMessage)

      Set path to eml message to be sent
      Parameters:
        `emlMessage` - path to eml message to be sent

    - #### isIncludeTimestamp

          public boolean isIncludeTimestamp()

      Returns if current timestamp is included in the subject (checkbox)
      Returns:
        true if current timestamp is included in subject

    - #### setIncludeTimestamp

          public void setIncludeTimestamp(boolean includeTimestamp)

      Set timestamp to be included in the message-subject (checkbox)
      Parameters:
        `includeTimestamp` - Should timestamp be included in subject?

    - #### isMessageSizeStatistics

          public boolean isMessageSizeStatistics()

      Returns if message size statistics are processed. Output of processing will be included in sample result. (checkbox)
      Returns:
        True if message size will be calculated

    - #### setMessageSizeStatistic

          public void setMessageSizeStatistic(boolean val)

      Set message size to be calculated and included in sample result (checkbox)
      Parameters:
        `val` - Should message size be calculated?

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String authPassword)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String username)

    - #### getHeaderFields

          public CollectionProperty getHeaderFields()

    - #### setHeaderFields

          public void setHeaderFields(CollectionProperty fields)

    - #### getMailReplyTo

          public java.lang.String getMailReplyTo()

    - #### setMailReplyTo

          public void setMailReplyTo(java.lang.String replyTo)

    - #### clear

          public void clear()

      Reset all the Gui fields.

    - #### getSecuritySettingsPanel

          public SecuritySettingsPanel getSecuritySettingsPanel()

    - #### setSecuritySettingsPanel

          public void setSecuritySettingsPanel(SecuritySettingsPanel securitySettingsPanel)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.